<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <form name="form" action="" method="GET">
        <label name="vehiculo">Ingrese Marca Vehículo</label>
        <input type="text" value="" id="vehiculo"> <br><br>
        <input type="button" name="añadir" id="añadir" value="Añadir">
        <input type="button" name="borrarPrimero" id="borrarPrimero" value="Borrar Primero">
        <input type="button" name="borrarUltimo" id="borrarUltimo" value="Borrar Ultimo">

    </form>

    <script type="text/javascript">
    
        let vehiculo = [];
        let btnAñadir = document.getElementById("añadir");
        let btnBorrarPrimero = document.getElementById("borrarPrimero");
        let btnBorrarUltimo = document.getElementById("borrarUltimo");


        btnAñadir.addEventListener('click', function () {

            let añadir = document.getElementById("vehiculo").value;
            vehiculo.push(añadir);
            console.log(vehiculo);


        }
        )

        btnBorrarPrimero.addEventListener('click', function () {

            vehiculo.shift();
            console.log(vehiculo);

        }
        )

        btnBorrarUltimo.addEventListener('click', function () {

            vehiculo.pop();
            console.log(vehiculo);

        }
        )

    </script>


</body>

</html>